package ru.yandex.direct.web.entity.transparencyreport.model;

import java.time.LocalDate;

public class TransparencyReportGetBannersRequest {
    private String clientName;
    private LocalDate dateFrom;
    private LocalDate dateTo;
    private String fromBannerId;
    private Integer limit;
    private Long moneyFrom;
    private Long moneyTo;
    private String creativeType;

    public String getClientName() {
        return clientName;
    }

    public TransparencyReportGetBannersRequest withClientName(String clientName) {
        this.clientName = clientName;
        return this;
    }

    public LocalDate getDateFrom() {
        return dateFrom;
    }

    public TransparencyReportGetBannersRequest withDateFrom(LocalDate dateFrom) {
        this.dateFrom = dateFrom;
        return this;
    }

    public LocalDate getDateTo() {
        return dateTo;
    }

    public TransparencyReportGetBannersRequest withDateTo(LocalDate dateTo) {
        this.dateTo = dateTo;
        return this;
    }

    public String getFromBannerId() {
        return fromBannerId;
    }

    public TransparencyReportGetBannersRequest withFromBannerId(String fromBannerId) {
        this.fromBannerId = fromBannerId;
        return this;
    }

    public Integer getLimit() {
        return limit;
    }

    public TransparencyReportGetBannersRequest withLimit(Integer limit) {
        this.limit = limit;
        return this;
    }

    public Long getMoneyFrom() {
        return moneyFrom;
    }

    public TransparencyReportGetBannersRequest withMoneyFrom(Long moneyFrom) {
        this.moneyFrom = moneyFrom;
        return this;
    }

    public Long getMoneyTo() {
        return moneyTo;
    }

    public TransparencyReportGetBannersRequest withMoneyTo(Long moneyTo) {
        this.moneyTo = moneyTo;
        return this;
    }

    public String getCreativeType() {
        return creativeType;
    }

    public TransparencyReportGetBannersRequest withCreativeType(String creativeType) {
        this.creativeType = creativeType;
        return this;
    }
}
